package de.ivu.elect.business.stimmzettel.entity;

public enum StimmzettelOnlineErfassungstatus {

  OHNE {
    @Override
    public boolean isHilfsteamDarfErfassen() {
      return true;
    }

    @Override
    public boolean isHauptTeamDarfHilfsteamStimmzettelErfassen() {
      return true;
    }

  },

  ONLINE_ERFASSUNG_LAEUFT {
    @Override
    public boolean isHilfsteamDarfErfassen() {
      return true;
    }

    @Override
    public boolean isHilfsteamDarfAbschliessen() {
      return true;
    }
  },

  ONLINE_ERFASSUNG_ABGESCHLOSSEN {
    @Override
    public boolean isErfassungAbgeschlossen() {
      return true;
    }
  },

  ONLINE_ERFASSUNG_ALLER_TEAMS {
    @Override
    public boolean isHauptTeamDarfHilfsteamStimmzettelErfassen() {
      return true;
    }
  };

  public boolean isHilfsteamDarfErfassen() {
    return false;
  }

  public boolean isHilfsteamDarfAbschliessen() {
    return false;
  }

  public boolean isHauptTeamDarfHilfsteamStimmzettelErfassen() {
    return false;
  }

  public boolean isHauptTeamDarfAbschliessen() {
    return isHauptTeamDarfHilfsteamStimmzettelErfassen();
  }

  public boolean isErfassungAbgeschlossen() {
    return false;
  }
}
